## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 19
%bcond_with check
%global debug_package %{nil}

%global crate ryu

Name:           rust-%{crate}
Version:        1.0.5
Release:        %autorelease
Summary:        Fast floating point to string conversion

# Upstream license specification: Apache-2.0 OR BSL-1.0
License:        ASL 2.0 or Boost
URL:            https://crates.io/crates/ryu
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Fast floating point to string conversion.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-BOOST
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use "the default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+no-panic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-panic-devel %{_description}

This package contains library source intended for building other packages which
use "the no-panic" feature of the "%{crate}" crate.

%files       -n %{name}+no-panic-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+small-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+small-devel %{_description}

This package contains library source intended for building other packages which
use "the small" feature of the "%{crate}" crate.

%files       -n %{name}+small-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Dec 29 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 1.0.5-7
- Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 1.0.5-6
- Bootstrap (disable tests)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 01 13:56:08 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Fri Mar 13 2020 Josh Stone <jistone@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 27 07:29:59 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Thu Jun 20 12:01:19 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-4
- Regenerate

* Sun Jun 09 12:24:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-3
- Fix skip_build

* Sun Jun 09 11:10:21 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-2
- Regenerate

* Thu May 02 08:40:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-1
- Update to 0.2.8

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.7-3
- Do not pull optional dependencies

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.2.7-1
- Update to 0.2.7

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-2
- Run tests in infrastructure

* Sat Sep 08 2018 Josh Stone <jistone@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Sun Aug 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.4-1
- Update to 0.2.4

* Sat Aug 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Initial package

